gstreamermm: Gst::Enums Namespace Reference

gstreamermm 0.10.10.2

- Main Page
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Functions
Gst::Enums Namespace Reference

## Functions
Glib::ustring | get_name (State state)
| Gets a string representing the given state.
Glib::ustring | get_name (StateChangeReturn state_ret)
| Gets a string representing the given state change result.
Glib::ustring | get_name (EventType type)
| Gets a printable name for the given event type.
Glib::QueryQuark | get_quark (EventType type)
| Gets the unique quark for the given event type.
EventTypeFlags | get_flags (EventType type)
| Gets the Gst::EventTypeFlags associated with type.
Glib::ustring | get_name (Format format)
| Gets a printable name for the given format.
Glib::QueryQuark | get_quark (Format format)
| Gets the unique quark for the given format.
Glib::ustring | get_name (MessageType type)
| Gets a printable name for the given message type.
Glib::QueryQuark | get_quark (MessageType type)
| Gets the unique quark for the given message type.
Glib::ustring | get_name (QueryType query)
| Gets a printable name for the given query type.
Glib::QueryQuark | get_quark (QueryType query)
| Gets the unique quark for the given query type.

## Function Documentation

EventTypeFlags Gst::Enums::get_flags | ( | EventType | type | ) |

Gets the Gst::EventTypeFlags associated with type.

Parameters:

  type | A Gst::EventType.

Returns:
  A Gst::EventTypeFlags.

Glib::ustring Gst::Enums::get_name | ( | Format | format | ) |

Gets a printable name for the given format.

Do not modify or free.

Parameters:

  format | A Gst::Format.

Returns:
  The name of the format or an empty string if the format is unknown.

Glib::ustring Gst::Enums::get_name | ( | QueryType | query | ) |

Gets a printable name for the given query type.

Parameters:

  query | The query type.

Returns:
  The name of the query.

Glib::ustring Gst::Enums::get_name | ( | State | state | ) |

Gets a string representing the given state.

Parameters:

  state | A Gst::State to get the name of.

Returns:
  A Glib::ustring with the name of the state.

Glib::ustring Gst::Enums::get_name | ( | StateChangeReturn | state_ret | ) |

Gets a string representing the given state change result.

Parameters:

  state_ret | A Gst::StateChangeReturn to get the name of.

Returns:
  A Glib::ustring with the name of the state change result.

Glib::ustring Gst::Enums::get_name | ( | MessageType | type | ) |

Gets a printable name for the given message type.

Parameters:

  type | The message type.

Returns:
  The name of the message type.

Glib::ustring Gst::Enums::get_name | ( | EventType | type | ) |

Gets a printable name for the given event type.

Parameters:

  type | The event type.

Returns:
  A reference to the static name of the event.

Glib::QueryQuark Gst::Enums::get_quark | ( | Format | format | ) |

Gets the unique quark for the given format.

Parameters:

  format | A Gst::Format.

Returns:
  The quark associated with the format or 0 if the format is unknown.

Glib::QueryQuark Gst::Enums::get_quark | ( | QueryType | query | ) |

Gets the unique quark for the given query type.

Parameters:

  query | The query type.

Returns:
  The quark associated with the query type.

Glib::QueryQuark Gst::Enums::get_quark | ( | MessageType | type | ) |

Gets the unique quark for the given message type.

Parameters:

  type | The message type.

Returns:
  The quark associated with the message type.

Glib::QueryQuark Gst::Enums::get_quark | ( | EventType | type | ) |

Gets the unique quark for the given event type.

Parameters:

  type | The event type.

Returns:
  The quark associated with the event type.